## ocaml-saturn 1.0.0

=== Makefile ===
.PHONY: all clean test bench

all:
	dune build

test:
	dune runtest

clean:
	dune clean

bench:
	@dune exec --release -- ./bench/main.exe -budget 1

=== test/seqtest/Makefile ===
SWITCH := $(shell opam switch show)
EXE := seqtest.exe
DUNEFLAGS := --profile seqtest
include ./Makefile.monolith

## ocaml-saturn 0.5.0

=== debian/changelog ===
ocaml-saturn (0.5.0-1build1) plucky; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 31 Jan 2025 09:23:45 +0100

ocaml-saturn (0.5.0-1) unstable; urgency=medium

  * Initial release.

 -- Kyle Robbertze <paddatrapper@debian.org>  Thu, 09 Jan 2025 19:57:37 +0000

=== debian/control ===
Source: ocaml-saturn
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-ocaml (>= 1.2.2),
               libalcotest-ocaml-dev (>=1.7.0),
               libbackoff-ocaml-dev,
               libdscheck-ocaml-dev,
               libmulticore-bench-ocaml-dev,
               libmulticore-magic-dscheck-ocaml-dev,
               libmulticore-magic-ocaml-dev,
               libqcheck-core-ocaml-dev (>= 0.21.3),
               libqcheck-stm-ocaml-dev,
               libyojson-ocaml-dev (>= 2.0.2),
               ocaml,
               ocaml-dune (>= 2.8.0),
               ocaml-findlib,
               pkgconf
Standards-Version: 4.7.0
Homepage: https://github.com/ocaml-multicore/saturn
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-saturn
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-saturn.git

Package: libsaturn-ocaml-dev
Architecture: any
Depends: libsaturn-lockfree-ocaml-dev (= ${binary:Version}),
         ocaml-findlib,
         ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: parallelism-safe data structures for multicore OCaml
 A collection of parallelism-safe data structures for OCaml.
 It aims to provide an industrial-strength, well-tested
 library that makes it easier for Multicore OCaml uses to find
 the right data structures for their uses.
 .
 This package includes all lock-free and non-lock-free data
 structures.

Package: libsaturn-lockfree-ocaml-dev
Architecture: any
Depends: ocaml-findlib, ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: parallelism-safe lock-free data structures for multicore OCaml
 A collection of parallelism-safe data structures for OCaml.
 It aims to provide an industrial-strength, well-tested
 library that makes it easier for Multicore OCaml uses to find
 the right data structures for their uses.
 .
 This package includes only the lock-free non-lock-free data
 structures.

=== debian/tests/control ===
Tests: upstream
Depends: @, ocaml-dune, libalcotest-ocaml-dev, libqcheck-stm-ocaml-dev, libmulticore-magic-dscheck-ocaml-dev, libmulticore-bench-ocaml-dev
Restrictions: allow-stderr

## ocaml-saturn 1.0.0

=== debian/changelog ===
ocaml-saturn (1.0.0-2ubuntu4) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Oct 2025 19:23:54 +0200

ocaml-saturn (1.0.0-2ubuntu3) questing; urgency=medium

  * Back in sync with Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Jul 2025 08:05:26 +0200

ocaml-saturn (1.0.0-2) unstable; urgency=medium

  * Team upload
  * Update packaging to cope with test dependencies

 -- Stéphane Glondu <glondu@debian.org>  Thu, 10 Apr 2025 08:36:46 +0200

ocaml-saturn (1.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #1099790)
    - remove saturn_lockfree
  * Disable multicore tests on monocore systems (Closes: #1101352)

 -- Stéphane Glondu <glondu@debian.org>  Tue, 08 Apr 2025 07:23:22 +0200

=== debian/control ===
Source: ocaml-saturn
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-ocaml (>= 1.2.2),
               libalcotest-ocaml-dev (>= 1.7.0) <!nocheck>,
               libbackoff-ocaml-dev,
               libdscheck-ocaml-dev <!nocheck>,
               libmulticore-bench-ocaml-dev <!nocheck>,
               libmulticore-magic-dscheck-ocaml-dev <!nocheck>,
               libmulticore-magic-ocaml-dev,
               libqcheck-core-ocaml-dev (>= 0.21.3) <!nocheck>,
               libqcheck-stm-ocaml-dev <!nocheck>,
               libqcheck-ocaml-dev <!nocheck>,
               libmdx-ocaml-dev <!nocheck>,
               libyojson-ocaml-dev (>= 2.0.2) <!nocheck>,
               ocaml,
               ocaml-dune (>= 2.8.0)
Standards-Version: 4.7.0
Homepage: https://github.com/ocaml-multicore/saturn
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-saturn
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-saturn.git

Package: libsaturn-ocaml-dev
Architecture: any
Depends: ocaml-findlib,
         ${misc:Depends},
         ${ocaml:Depends},
         ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: parallelism-safe data structures for multicore OCaml
 A collection of parallelism-safe data structures for OCaml.
 It aims to provide an industrial-strength, well-tested
 library that makes it easier for Multicore OCaml uses to find
 the right data structures for their uses.
 .
 This package includes all lock-free and non-lock-free data
 structures.

=== debian/tests/control ===
Tests: upstream
Depends: @, ocaml-dune, libalcotest-ocaml-dev, libqcheck-ocaml-dev, libqcheck-stm-ocaml-dev, libmulticore-magic-dscheck-ocaml-dev, libmulticore-bench-ocaml-dev, libmdx-ocaml-dev
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/ocaml-multicore/saturn/releases?per_page=100 \
https://github.com/ocaml-multicore/saturn/releases/download/\d[\.\d]*/saturn-@ANY_VERSION@@ARCHIVE_EXT@
